/*
Theme Name: Flatsome Child
Description: This is a child theme for Flatsome Theme
Author: UX Themes
Template: flatsome
Version: 3.0
*/

/*************** ADD CUSTOM CSS HERE.   ***************/
#wide-nav {
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
    border-top: 1px solid #fff;
    border-bottom: 1px solid #fff;
    background-image: linear-gradient(to bottom, #faab02, #e6b753, #ddca8c);
}
.header-button a {
    position: relative;
    padding: 7px 27px;
    font-size: 13px;
    font-weight: bold;
    color: #000;
    background: linear-gradient(253deg, #face04, #96ff00, #eb9600);
    background-size: 300%;
    border: none;
    border-radius: 8px;
    cursor: pointer;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
    text-transform: uppercase;
    animation: golden-glow 3s infinite linear;
    overflow: hidden;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}
.button:after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: radial-gradient(circle, rgba(255,255,255,0.4), transparent 60%);
    opacity: 0;
    transition: opacity 0.3s ease;
}

.button:hover {
    transform: scale(1.1);
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.3);
}

.button:hover:after {
    opacity: 1;
}

@keyframes golden-glow {
    0% {
        background-position: 0% 50%;
    }
    50% {
        background-position: 100% 50%;
    }
    100% {
        background-position: 0% 50%;
    }
}
.khungcuon {
    max-height: 800px;
    overflow: auto;
    padding: 20px;
    border: 2px solid #009d50;
    border-radius: 10px;
    box-shadow: 0 2px 30px #009d50;
    word-wrap: break-word;
    background: #0b5430;
}
.khungcuon::-webkit-scrollbar-thumb {
	background: linear-gradient(-45deg, #0b7e14, #9fff00);
    border-radius: 10px;
    border: 1px solid #25820b;
}
.khungcuon::-webkit-scrollbar {
    width: 10px;
}
.border {
	border: 2px dashed #f3ad58; 
    padding: 20px; 
    border-radius: 8px;
}
.ux-menu-link__link {
	color: #fff;
}
.header-full-width .container {
    max-width: 80% !important;
}
.float-box-right {
    position: fixed;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    width: 80px;
    padding: 10px;
    background-color: rgb(128 0 0 / 90%);
    box-shadow: 0 4px 8px rgb(0 0 0 / 65%);
    border-radius: 10px 0 0 10px;
    z-index: 9999;
    text-align: center;
    color: #fff;
    border: 2px solid;
}
.icon-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 20px;
}
.dark h2, .dark h3 {
    color: #eab519;
}

a.button.primary.bt1 {
    position: relative;
    padding: 7px 27px;
    font-size: 16px;
    font-weight: bold;
    color: #000;
    background: linear-gradient(253deg, #face04, #96ff00, #eb9600);
    background-size: 300%;
    border: none;
    border-radius: 8px;
    cursor: pointer;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
    text-transform: uppercase;
    animation: golden-glow 3s infinite linear;
    overflow: hidden;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.post, .widget, .taxonomy-description {
	padding: 2%;
	border: 2px solid gold;
    background: #044f2a;
    padding: 20px;
    border-radius: 10px;
}
.nav>li.active>a, .nav-dark .nav>li>a, .nav-dark .nav>li.active>a {
	color: #000;
}
h1.page-title.is-large.uppercase {
    font-size: 28px;
	color: #eab519;
}

.header-bottom-nav > li > a {
    line-height: 24px;
}
blockquote {
    border-left: 4px solid var(--fs-color-primary);
    background: #06ff924a;
    border-radius: 8px;
    font-size: 1.2em;
    padding-top: 0.8em !important;
    padding-bottom: 0.1em !important;
}
.box-vertical {
    border: 1px solid gold;
    border-radius: 8px;
    background: #044f2a;
}
.box-text {
    padding: 5px;
}
.taxonomy-description {
    max-height: 800px;
    overflow: auto;
    padding: 20px;
    border: 2px solid #009D50;
    border-radius: 10px;
    box-shadow: 0 2px 30px #009D50;
    word-wrap: break-word;
    background: #0b5430;
}
.taxonomy-description::-webkit-scrollbar-thumb {
    background: linear-gradient(-45deg, #0b7e14, #9fff00);
    border-radius: 10px;
    border: 1px solid #25820b;
}
.taxonomy-description::-webkit-scrollbar {
    width: 10px;
}
.header-bottom-nav > li > a {
    line-height: 30px;
}
.border .col {
    padding: 0;
}
.tieude {
	text-transform: uppercase;
    background-image: linear-gradient(-225deg, #00f5ff 0%, #ffff00 29%, #f81123 67%, #fff800 100%);
    background-size: auto auto;
    background-clip: border-box;
    background-size: 200% auto;
    color: #fff;
    background-clip: text;
    -webkit-background-clip: text;
    animation: textclip 2s linear infinite;
    display: inline-block;
}
@keyframes textclip
100% {
    background-position: 203% center;
}
@media (max-width: 768px) {
    .float-box-right {
        display: none;
    }
}

@media only screen and (max-width: 48em) {
/*************** ADD MOBILE ONLY CSS HERE  ***************/


}